## bareos 16.2.6

=== src/win32/Makefile ===
#
# BAREOS® - Backup Archiving REcovery Open Sourced
#
# Copyright (C) 2014-2014 Bareos GmbH & Co. KG
#
# This program is Free Software; you can redistribute it and/or
# modify it under the terms of version three of the GNU Affero General Public
# License as published by the Free Software Foundation and included
# in the file LICENSE.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA.
#
include Makefile.inc

VERSION_STRING := $(shell grep 'VERSION "' ../include/version.h | cut -d ' ' -f3)

all_subdirs = lib findlib lmdb filed console tools cats dird stored plugins lib/unittests tests
ifeq ($(BUILD_QTGUI),yes)
all_subdirs += qt-console qt-tray-monitor
endif

all: rc-files qt-gui
	@for I in ${all_subdirs}; \
	  do (cd $$I; echo "==>Entering directory `pwd`"; \
		$(MAKE) WIN_VERSION=$(WIN_VERSION) DESTDIR=$(DESTDIR) $@ || (echo ""; echo ""; echo "  ====== Error in `pwd` ======"; \
		echo ""; echo ""; exit 1;)); \
	done

install:
	@for I in ${all_subdirs}; \
	  do (cd $$I; echo "==>Entering directory `pwd`"; \
		$(MAKE) WIN_VERSION=$(WIN_VERSION) DESTDIR=$(DESTDIR) $@ || (echo ""; echo ""; echo "  ====== Error in `pwd` ======"; \
		echo ""; echo ""; exit 1;)); \
	done

clean:
	@for I in ${all_subdirs}; \
	  do (cd $$I; echo "==>Entering directory `pwd`"; \
		$(MAKE) WIN_VERSION=$(WIN_VERSION) DESTDIR=$(DESTDIR) $@ || (echo ""; echo ""; echo "  ====== Error in `pwd` ======"; \
		echo ""; echo ""; exit 1;)); \
	done

distclean:
	@for I in ${all_subdirs}; \
	  do (cd $$I; echo "==>Entering directory `pwd`"; \
		$(MAKE) WIN_VERSION=$(WIN_VERSION) DESTDIR=$(DESTDIR) $@ || (echo ""; echo ""; echo "  ====== Error in `pwd` ======"; \
		echo ""; echo ""; exit 1;)); \
	done

ifeq ($(BUILD_QTGUI),)
rc-files: tools/bsmtpres.rc \
	  tools/bregexres.rc \
	  tools/bwildres.rc \
	  console/consoleres.rc \
	  filed/filedres.rc \
	  stored/storedres.rc \
	  stored/bextractres.rc \
	  stored/blsres.rc \
	  stored/bscanres.rc \
	  stored/btaperes.rc \
	  dird/dirdres.rc \
	  dird/dbcheckres.rc

qt-gui:
else
rc-files: tools/bsmtpres.rc \
	  tools/bregexres.rc \
	  tools/bwildres.rc \
	  console/consoleres.rc \
	  filed/filedres.rc \
	  stored/storedres.rc \
	  stored/bextractres.rc \
	  stored/blsres.rc \
	  stored/bscanres.rc \
	  stored/btaperes.rc \
	  dird/dirdres.rc \
	  dird/dbcheckres.rc \
	  qt-console/batres.rc \
	  qt-tray-monitor/traymon.rc

qt-gui: qt-console/Makefile qt-tray-monitor/Makefile

qt-console/Makefile: qt-console/bat.pro
	cd qt-console; $(QMAKE) $(QMAKE_ARGS) bat.pro

qt-tray-monitor/Makefile: qt-tray-monitor/tray-monitor.pro
	cd qt-tray-monitor; $(QMAKE) $(QMAKE_ARGS) tray-monitor.pro

qt-console/batres.rc: qt-console/batres.rc.in
	@sed -e 's/@VERSION@/$(VERSION_STRING)/' $< > $@

qt-tray-monitor/traymon.rc: qt-tray-monitor/traymon.rc.in
	@sed -e 's/@VERSION@/$(VERSION_STRING)/' $< > $@
endif

tools/bsmtpres.rc: tools/bsmtpres.rc.in
	@sed -e 's/@VERSION@/$(VERSION_STRING)/' $< > $@

tools/bregexres.rc: tools/bregexres.rc.in
	@sed -e 's/@VERSION@/$(VERSION_STRING)/' $< > $@

tools/bwildres.rc: tools/bwildres.rc.in
	@sed -e 's/@VERSION@/$(VERSION_STRING)/' $< > $@

console/consoleres.rc: console/consoleres.rc.in
	@sed -e 's/@VERSION@/$(VERSION_STRING)/' $< > $@

filed/filedres.rc: filed/filedres.rc.in
	@sed -e 's/@VERSION@/$(VERSION_STRING)/' $< > $@

stored/storedres.rc: stored/storedres.rc.in
	@sed -e 's/@VERSION@/$(VERSION_STRING)/' $< > $@

dird/dirdres.rc: dird/dirdres.rc.in
	@sed -e 's/@VERSION@/$(VERSION_STRING)/' $< > $@

dird/dbcheckres.rc: dird/dbcheckres.rc.in
	@sed -e 's/@VERSION@/$(VERSION_STRING)/' $< > $@

stored/bextractres.rc: stored/bextractres.rc.in
	@sed -e 's/@VERSION@/$(VERSION_STRING)/' $< > $@

stored/btaperes.rc: stored/btaperes.rc.in
	@sed -e 's/@VERSION@/$(VERSION_STRING)/' $< > $@

stored/blsres.rc: stored/blsres.rc.in
	@sed -e 's/@VERSION@/$(VERSION_STRING)/' $< > $@

stored/bscanres.rc: stored/bscanres.rc.in
	@sed -e 's/@VERSION@/$(VERSION_STRING)/' $< > $@

=== src/win32/console/Makefile ===
#
# BAREOS® - Backup Archiving REcovery Open Sourced
#
# Copyright (C) 2014-2014 Bareos GmbH & Co. KG
#
# This program is Free Software; you can redistribute it and/or
# modify it under the terms of version three of the GNU Affero General Public
# License as published by the Free Software Foundation and included
# in the file LICENSE.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA.
#
VPATH = .:../../console

include ../Makefile.inc

INCLUDES = -I../.. \
	   -I../../include \
	   -I../include \
	   -I../compat/include \
	   -I../vss/include
LDLIBS = ../lib/libbareos.a \
	 ../lib/libbareos.dll \
         $(MINGW_LIB)/libwinpthread.a \
         $(MINGW_LIB)/libz.dll.a \
         $(MINGW_LIB)/libreadline.dll.a \
         $(MINGW_LIB)/libjansson.a \
	 $(WINSOCKLIB) -lole32 -loleaut32 -luuid

CONSSRCS = console.c console_conf.c
CONSOBJS = $(CONSSRCS:.c=.o)

WINDRESSRCS = consoleres.rc
WINDRESOBJS = $(WINDRESSRCS:.rc=.o)

all: bconsole.exe

bconsole.exe: DLL_USAGE = -DUSING_DLL
bconsole.exe: $(CONSOBJS) $(WINDRESOBJS)
	$(CXX) $(LDFLAGS_CONS) $(CONSOBJS) $(LDLIBS) $(WINDRESOBJS) -o $@

clean:
	rm -f *.o

distclean:: clean
	rm -f bconsole.exe

# inference rules
.c.o:
	@echo "Compiling $<"
	$(CXX) $(DLL_USAGE) $(CXXFLAGS) -c -o $@ $<

%.o : %.rc
	@echo "Ressource Compiling $^"
	$(WINDRES) $^ -o $@

=== src/win32/dird/Makefile ===
#
# BAREOS® - Backup Archiving REcovery Open Sourced
#
# Copyright (C) 2014-2014 Bareos GmbH & Co. KG
#
# This program is Free Software; you can redistribute it and/or
# modify it under the terms of version three of the GNU Affero General Public
# License as published by the Free Software Foundation and included
# in the file LICENSE.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA.
#
VPATH = .:../../dird:../generic

include ../Makefile.inc

INCLUDES = -I. \
	   -I../.. \
	   -I../../include \
	   -I../include \
	   -I../compat/include
LDLIBS = ../lib/libbareos.a \
	 ../lib/libbareos.dll \
         ../findlib/libbareosfind.dll \
	 ../cats/libbareoscats.dll \
         $(MINGW_LIB)/libwinpthread.a \
         $(MINGW_LIB)/libjansson.a \
	 $(WINSOCKLIB) -lole32 -loleaut32 -luuid -lcomctl32

SVRSRCS = admin.c archive.c authenticate.c autoprune.c backup.c bsr.c \
	  catreq.c consolidate.c dir_plugins.c dird_conf.c dird.c \
	  expand.c fd_cmds.c getmsg.c inc_conf.c job.c jobq.c migrate.c \
	  mountreq.c msgchan.c ndmp_dma_backup.c ndmp_dma_generic.c \
	  ndmp_dma_restore.c ndmp_dma_storage.c ndmp_fhdb_helpers.c \
	  ndmp_fhdb_mem.c ndmp_fhdb_lmdb.c newvol.c next_vol.c quota.c \
	  recycle.c restore.c run_conf.c sd_cmds.c scheduler.c \
	  socket_server.c stats.c storage.c ua_acl.c ua_audit.c ua_cmds.c \
	  ua_configure.c ua_db.c ua_dotcmds.c ua_input.c ua_impexp.c \
	  ua_label.c ua_output.c ua_prune.c ua_purge.c ua_query.c \
	  ua_restore.c ua_run.c ua_select.c ua_server.c ua_status.c \
	  ua_tree.c ua_update.c vbackup.c verify.c service.c main.c
SVROBJS = $(SVRSRCS:.c=.o)

DBCHKSRCS = dbcheck.c dird_conf.c ua_acl.c ua_audit.c run_conf.c inc_conf.c
DBCHKOBJS = $(DBCHKSRCS:.c=.o)

WINDRESSRCS = dirdres.rc
WINDRESOBJS = $(WINDRESSRCS:.rc=.o)

DBCHKRESSRCS = dbcheckres.rc
DBCHKRESOBJS = $(DBCHKRESSRCS:.rc=.o)

all: bareos-dir.exe bareos-dbcheck.exe

bareos-dir.exe: DLL_USAGE = -DUSING_DLL
bareos-dir.exe: $(SVROBJS) $(WINDRESOBJS)
	$(CXX) $(LDFLAGS_WINAPP) $(SVROBJS) $(WINDRESOBJS) $(LDLIBS) -o $@

bareos-dbcheck.exe: DLL_USAGE = -DUSING_DLL
bareos-dbcheck.exe: $(DBCHKOBJS) $(DBCHKRESOBJS)
	$(CXX) $(LDFLAGS_CONS) $(DBCHKOBJS) $(LDLIBS) $(DBCHKRESOBJS) -o $@

clean:
	rm -f *.o

distclean:: clean
	rm -f bareos-dir.exe bareos-dbcheck.exe

# inference rules
.c.o:
	@echo "Compiling $<"
	$(CXX) $(DLL_USAGE) $(CXXFLAGS) -c -o $@ $<

%.o : %.rc
	@echo "Ressource Compiling $^"
	$(WINDRES) $^ -o $@

=== src/win32/filed/Makefile ===
#
# BAREOS® - Backup Archiving REcovery Open Sourced
#
# Copyright (C) 2014-2014 Bareos GmbH & Co. KG
#
# This program is Free Software; you can redistribute it and/or
# modify it under the terms of version three of the GNU Affero General Public
# License as published by the Free Software Foundation and included
# in the file LICENSE.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA.
#
VPATH = .:../../filed:../generic

include ../Makefile.inc

DEFINES += -DWIN32_VSS
ifeq ($(WIN_VERSION),64)
DEFINES += -DHAVE_VSS64
endif

INCLUDES = -I. \
	   -I../.. \
	   -I../../include \
	   -I../../lmdb \
	   -I../../filed \
	   -I../include \
	   -I../compat/include \
	   -I../vss/include

LDLIBS = ../lib/libbareos.a \
	 ../lib/libbareos.dll \
	 ../findlib/libbareosfind.dll \
	 ../lmdb/libbareoslmdb.dll \
         $(MINGW_LIB)/libz.dll.a \
         $(MINGW_LIB)/liblzo2.dll.a \
         $(MINGW_LIB)/libfastlz.dll.a \
         $(MINGW_LIB)/libwinpthread.a \
         $(MINGW_LIB)/libjansson.a \
	 $(WINSOCKLIB) -lole32 -loleaut32 -luuid -lcomctl32

SVRSRCS = accurate.c accurate_htable.c accurate_lmdb.c authenticate.c \
	  backup.c compression.c crypto.c dir_cmd.c estimate.c \
	  fd_plugins.c filed_conf.c filed.c fileset.c heartbeat.c \
	  restore.c sd_cmds.c socket_server.c status.c verify.c verify_vol.c \
	  vss.c vss_XP.c vss_W2K3.c vss_Vista.c service.c main.c

SVROBJS = $(SVRSRCS:.c=.o)

WINDRESSRCS = filedres.rc
WINDRESOBJS = $(WINDRESSRCS:.rc=.o)

all: bareos-fd.exe

bareos-fd.exe: DLL_USAGE = -DUSING_DLL
bareos-fd.exe: $(SVROBJS) $(WINDRESOBJS)
	$(CXX) $(LDFLAGS_WINAPP) $(SVROBJS) $(WINDRESOBJS) $(LDLIBS) -o $@

clean:
	rm -f *.o

distclean:: clean
	rm -f bareos-fd.exe

# inference rules
.c.o:
	@echo "Compiling $<"
	$(CXX) $(DLL_USAGE) $(CXXFLAGS) -c -o $@ $<

%.o : %.rc
	@echo "Ressource Compiling $^"
	$(WINDRES) $^ -o $@

main.o: ../generic/main.c
	@echo "Compiling $<"
	$(CXX) -DFILE_DAEMON $(DLL_USAGE) $(CXXFLAGS) -c -o $@ $<

=== src/win32/findlib/Makefile ===
#
# BAREOS® - Backup Archiving REcovery Open Sourced
#
# Copyright (C) 2014-2014 Bareos GmbH & Co. KG
#
# This program is Free Software; you can redistribute it and/or
# modify it under the terms of version three of the GNU Affero General Public
# License as published by the Free Software Foundation and included
# in the file LICENSE.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA.
#
VPATH = .:../../findlib

include ../Makefile.inc

INCLUDES = -I../.. \
	   -I../../include \
	   -I../include \
	   -I../../findlib \
	   -I../compat/include
LDLIBS = ../lib/libbareos.dll \
	 $(MINGW_LIB)/libwinpthread.a \
	 $(WINSOCKLIB)

LIBBAREOSFIND_SRCS = acl.c attribs.c bfile.c create_file.c \
                     drivetype.c enable_priv.c find_one.c \
                     find.c fstype.c hardlink.c match.c mkpath.c \
                     shadowing.c win32.c xattr.c
LIBBAREOSFIND_OBJS = $(LIBBAREOSFIND_SRCS:.c=.o)

DYNAMIC_OBJS = $(LIBBAREOSFIND_OBJS)

all: libbareosfind.dll

bareos$(WIN_VERSION).def: $(DYNAMIC_OBJS) make_def
	./make_def $(WIN_VERSION) $(DYNAMIC_OBJS) > $@

libbareosfind.dll: DLL_USAGE = -DBUILDING_DLL
libbareosfind.dll: $(DYNAMIC_OBJS) \
		bareos$(WIN_VERSION).def
	$(CXX) $(LDFLAGS_DLL) -Wl,--out-implib,$@.a $(DYNAMIC_OBJS) bareos$(WIN_VERSION).def $(LDLIBS) -o $@

clean:
	rm -f *.o bareos$(WIN_VERSION).def

distclean: clean
	rm -f libbareosfind.dll libbareosfind.dll.a

# inference rules
.c.o:
	@echo "Compiling $<"
	$(CXX) $(DLL_USAGE) $(CXXFLAGS) -c -o $@ $<

=== src/win32/lib/Makefile ===
#
# BAREOS® - Backup Archiving REcovery Open Sourced
#
# Copyright (C) 2014-2016 Bareos GmbH & Co. KG
#
# This program is Free Software; you can redistribute it and/or
# modify it under the terms of version three of the GNU Affero General Public
# License as published by the Free Software Foundation and included
# in the file LICENSE.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA.
#
VPATH = .:../../lib:../compat

include ../Makefile.inc

INCLUDES = -I../.. \
	   -I../../include \
	   -I../include \
	   -I../compat/include
LDLIBS = $(MINGW_LIB)/libssl.dll.a \
         $(MINGW_LIB)/libcrypto.dll.a \
         $(MINGW_LIB)/libwinpthread.a \
         $(MINGW_LIB)/libz.dll.a \
         $(MINGW_LIB)/liblzo2.dll.a \
         $(MINGW_LIB)/libfastlz.dll.a \
         $(MINGW_LIB)/libjansson.dll.a \
         $(WINSOCKLIB) -lole32 -loleaut32 -luuid

LIBBAREOS_SRCS = address_conf.c alist.c attr.c attribs.c base64.c \
		 berrno.c bget_msg.c binflate.c bnet_server_tcp.c bnet.c \
		 bpipe.c breg.c bregex.c bsnprintf.c bsock.c bsock_sctp.c \
		 bsock_tcp.c bsock_udt.c bsys.c btime.c btimers.c \
		 compression.c connection_pool.c cram-md5.c cbuf.c crypto.c \
		 crypto_cache.c crypto_gnutls.c crypto_none.c crypto_nss.c \
		 crypto_openssl.c crypto_wrap.c daemon.c devlock.c dlist.c \
		 edit.c fnmatch.c guid_to_name.c hmac.c htable.c jcr.c json.c \
		 lockmgr.c md5.c mem_pool.c message.c mntent_cache.c \
		 output_formatter.c passphrase.c path_list.c plugins.c poll.c \
		 priv.c queue.c rblist.c runscript.c rwlock.c scan.c \
		 scsi_crypto.c scsi_lli.c sellist.c serial.c sha1.c signal.c \
		 smartall.c tls_gnutls.c tls_none.c tls_nss.c tls_openssl.c \
		 tree.c util.c var.c watchdog.c workq.c
LIBBAREOS_OBJS = $(LIBBAREOS_SRCS:.c=.o)

LIBBAREOSCFG_SRCS = ini.c lex.c parse_bsr.c
LIBBAREOSCFG_OBJS = $(LIBBAREOSCFG_SRCS:.c=.o)

COMPAT_SRCS = compat.c glob.c print.c winapi.c
COMPAT_OBJS = $(COMPAT_SRCS:.c=.o)

DYNAMIC_OBJS = $(LIBBAREOS_OBJS) $(LIBBAREOSCFG_OBJS) $(COMPAT_OBJS)

STATIC_SRCS = parse_conf.c res.c
STATIC_OBJS = $(STATIC_SRCS:.c=.o)

all: libbareos.dll libbareos.a

bareos$(WIN_VERSION).def: $(DYNAMIC_OBJS) make_def
	./make_def $(WIN_VERSION) $(DYNAMIC_OBJS) > $@

libbareos.dll: DLL_USAGE = -DBUILDING_DLL
libbareos.dll: $(DYNAMIC_OBJS) \
	    bareos$(WIN_VERSION).def
	$(CXX) $(LDFLAGS_DLL) -Wl,--out-implib,$@.a $(DYNAMIC_OBJS) bareos$(WIN_VERSION).def $(LDLIBS) -o $@

libbareos.a: DLL_USAGE = -DUSING_DLL
libbareos.a: $(STATIC_OBJS)
	ar rsv $@ $(STATIC_OBJS)

clean:
	rm -f *.o bareos$(WIN_VERSION).def

distclean:: clean
	rm -f libbareos.dll libbareos.dll.a libbareos.a

# inference rules
.c.o:
	@echo "Compiling $<"
	$(CXX) $(DLL_USAGE) $(CXXFLAGS) -c -o $@ $<

btime.o: DEFINES += -D_POSIX_C_SOURCE=200112
btime.o: btime.c
	@echo "Compiling $<"
	$(CXX) $(DLL_USAGE) $(CXXFLAGS) -c -o $@ $<

=== src/win32/lmdb/Makefile ===
#
# BAREOS® - Backup Archiving REcovery Open Sourced
#
# Copyright (C) 2014-2014 Bareos GmbH & Co. KG
#
# This program is Free Software; you can redistribute it and/or
# modify it under the terms of version three of the GNU Affero General Public
# License as published by the Free Software Foundation and included
# in the file LICENSE.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA.
#
VPATH = .:../../lmdb

include ../Makefile.inc

INCLUDES = -I../../lmdb
LDLIBS = $(MINGW_LIB)/libwinpthread.a \
         -lntdll

LIBBAREOSLMDB_SRCS = mdb.c midl.c
LIBBAREOSLMDB_OBJS = $(LIBBAREOSLMDB_SRCS:.c=.o)

DYNAMIC_OBJS = $(LIBBAREOSLMDB_OBJS)

all: libbareoslmdb.dll

bareos$(WIN_VERSION).def: $(DYNAMIC_OBJS) make_def
	./make_def $(WIN_VERSION) $(DYNAMIC_OBJS) > $@

libbareoslmdb.dll: DLL_USAGE = -DBUILDING_DLL
libbareoslmdb.dll: $(DYNAMIC_OBJS) \
		bareos$(WIN_VERSION).def
	$(CXX) $(LDFLAGS_DLL) -Wl,--out-implib,$@.a $(DYNAMIC_OBJS) bareos$(WIN_VERSION).def $(LDLIBS) -o $@

clean:
	rm -f *.o bareos$(WIN_VERSION).def

distclean: clean
	rm -f libbareoslmdb.dll libbareoslmdb.dll.a

# inference rules
.c.o:
	@echo "Compiling $<"
	$(CC) $(DLL_USAGE) $(CFLAGS) -c -o $@ $<

=== src/win32/plugins/Makefile ===
#
# BAREOS® - Backup Archiving REcovery Open Sourced
#
# Copyright (C) 2014-2014 Bareos GmbH & Co. KG
#
# This program is Free Software; you can redistribute it and/or
# modify it under the terms of version three of the GNU Affero General Public
# License as published by the Free Software Foundation and included
# in the file LICENSE.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA.
#
all_subdirs = filed stored dird

all:
	@for I in ${all_subdirs}; \
	  do (cd $$I; echo "==>Entering directory `pwd`"; \
		$(MAKE) WIN_VERSION=$(WIN_VERSION) DESTDIR=$(DESTDIR) $@ || (echo ""; echo ""; echo "  ====== Error in `pwd` ======"; \
		echo ""; echo ""; exit 1;)); \
	done

install:
	@for I in ${all_subdirs}; \
	  do (cd $$I; echo "==>Entering directory `pwd`"; \
		$(MAKE) WIN_VERSION=$(WIN_VERSION) DESTDIR=$(DESTDIR) $@ || (echo ""; echo ""; echo "  ====== Error in `pwd` ======"; \
		echo ""; echo ""; exit 1;)); \
	done

clean:
	@for I in ${all_subdirs}; \
	  do (cd $$I; echo "==>Entering directory `pwd`"; \
		$(MAKE) WIN_VERSION=$(WIN_VERSION) DESTDIR=$(DESTDIR) $@ || (echo ""; echo ""; echo "  ====== Error in `pwd` ======"; \
		echo ""; echo ""; exit 1;)); \
	done

distclean:
	@for I in ${all_subdirs}; \
	  do (cd $$I; echo "==>Entering directory `pwd`"; \
		$(MAKE) WIN_VERSION=$(WIN_VERSION) DESTDIR=$(DESTDIR) $@ || (echo ""; echo ""; echo "  ====== Error in `pwd` ======"; \
		echo ""; echo ""; exit 1;)); \
	done

=== src/win32/stored/Makefile ===
#
# BAREOS® - Backup Archiving REcovery Open Sourced
#
# Copyright (C) 2014-2014 Bareos GmbH & Co. KG
#
# This program is Free Software; you can redistribute it and/or
# modify it under the terms of version three of the GNU Affero General Public
# License as published by the Free Software Foundation and included
# in the file LICENSE.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA.
#
VPATH = .:../../stored:../../stored/backends:../generic:backends

include ../Makefile.inc

INCLUDES = -I. \
	   -I../.. \
	   -I../../include \
	   -I../../stored \
	   -I../../stored/backends \
	   -I../include \
	   -I../compat/include
LDLIBS = ../lib/libbareos.a \
	 ../lib/libbareos.dll \
         $(MINGW_LIB)/libwinpthread.a \
         $(MINGW_LIB)/libjansson.a \
	 $(WINSOCKLIB) -lole32 -loleaut32 -luuid -lcomctl32

LDLIBS_FIND = ../lib/libbareos.a \
	      ../lib/libbareos.dll \
	      ../findlib/libbareosfind.dll \
	      $(MINGW_LIB)/libwinpthread.a \
	      $(MINGW_LIB)/libjansson.a \
	      $(WINSOCKLIB) -lole32 -loleaut32 -luuid -lcomctl32

DEVICE_API_SRCS = generic_tape_device.c win32_tape_device.c \
		  win32_fifo_device.c win32_file_device.c

# objects used in all daemons collected in (shared) library.
LIBBAREOSSD_SRCS = acquire.c ansi_label.c askdir.c autochanger.c block.c \
		   bsr.c butil.c crc32.c dev.c device.c ebcdic.c label.c \
		   lock.c mount.c read_record.c record.c reserve.c scan.c \
		   sd_backends.c sd_plugins.c sd_stats.c spool.c \
		   stored_conf.c vol_mgr.c wait.c $(DEVICE_API_SRCS)
LIBBAREOSSD_OBJS = $(LIBBAREOSSD_SRCS:.c=.o)

DYNAMIC_OBJS = $(LIBBAREOSSD_OBJS)

SVRSRCS = append.c askdir.c authenticate.c dir_cmd.c fd_cmds.c job.c mac.c \
	  ndmp_tape.c read.c sd_cmds.c sd_stats.c socket_server.c status.c stored.c \
	  service.c main.c
SVROBJS = $(SVRSRCS:.c=.o)

TAPESRCS = btape.c
TAPEOBJS = $(TAPESRCS:.c=.o)

BLSSRCS = bls.c
BLSOBJS = $(BLSSRCS:.c=.o)

BEXTSRCS = bextract.c
BEXTOBJS = $(BEXTSRCS:.c=.o)

BSCANSRCS = bscan.c
BSCANOBJS = $(BSCANSRCS:.c=.o)

WINDRESSRCS = storedres.rc
WINDRESOBJS = $(WINDRESSRCS:.rc=.o)

BSCANRESSRCS = bscanres.rc
BSCANRESOBJS = $(BSCANRESSRCS:.rc=.o)

BLSRESSRCS = blsres.rc
BLSRESOBJS = $(BLSRESSRCS:.rc=.o)

BTAPERESSRCS = btaperes.rc
BTAPERESOBJS = $(BTAPERESSRCS:.rc=.o)

BEXTRACTRESSRCS = bextractres.rc
BEXTRACTRESOBJS = $(BEXTRACTRESSRCS:.rc=.o)

all: libbareossd.dll bareos-sd.exe btape.exe bls.exe bextract.exe bscan.exe

bareos$(WIN_VERSION).def: $(DYNAMIC_OBJS) make_def
	./make_def $(WIN_VERSION) $(DYNAMIC_OBJS) > $@

libbareossd.dll: DLL_USAGE = -DBUILDING_DLL
libbareossd.dll: $(DYNAMIC_OBJS) \
		bareos$(WIN_VERSION).def
	$(CXX) $(LDFLAGS_DLL) -Wl,--out-implib,$@.a $(DYNAMIC_OBJS) bareos$(WIN_VERSION).def $(LDLIBS) -o $@

bareos-sd.exe: DLL_USAGE = -DUSING_DLL
bareos-sd.exe: libbareossd.dll $(SVROBJS) $(WINDRESOBJS)
	$(CXX) $(LDFLAGS_WINAPP) $(SVROBJS) $(WINDRESOBJS) $(LDLIBS) ./libbareossd.dll -o $@

btape.exe: DLL_USAGE = -DUSING_DLL
btape.exe: libbareossd.dll $(TAPEOBJS) $(BTAPERESOBJS)
	$(CXX) $(LDFLAGS_CONS) $(TAPEOBJS) $(BTAPERESOBJS) $(LDLIBS) ./libbareossd.dll -o $@

bls.exe: DLL_USAGE = -DUSING_DLL
bls.exe: libbareossd.dll $(BLSOBJS) $(BLSRESOBJS)
	$(CXX) $(LDFLAGS_CONS) $(BLSOBJS) $(BLSRESOBJS) $(LDLIBS_FIND) ./libbareossd.dll -o $@

bextract.exe: DLL_USAGE = -DUSING_DLL
bextract.exe: libbareossd.dll $(BEXTOBJS) $(BEXTRACTRESOBJS)
	$(CXX) $(LDFLAGS_CONS) $(BEXTOBJS) $(BEXTRACTRESOBJS) $(LDLIBS_FIND) ./libbareossd.dll -o $@

bscan.exe: DLL_USAGE = -DUSING_DLL
bscan.exe: libbareossd.dll $(BSCANOBJS) $(BSCANRESOBJS)
	$(CXX) $(LDFLAGS_CONS) $(BSCANOBJS) $(BSCANRESOBJS) $(LDLIBS_FIND) ../cats/libbareoscats.dll  ./libbareossd.dll -o $@

clean:
	rm -f *.o bareos$(WIN_VERSION).def

distclean:: clean
	rm -f libbareossd.dll libbareossd.dll.a bareos-sd.exe btape.exe bls.exe bextract.exe

# inference rules
.c.o:
	@echo "Compiling $<"
	$(CXX) $(DLL_USAGE) $(CXXFLAGS) -c -o $@ $<

%.o : %.rc
	@echo "Ressource Compiling $^"
	$(WINDRES) $^ -o $@

=== src/win32/tests/Makefile ===
#
# BAREOS® - Backup Archiving REcovery Open Sourced
#
# Copyright (C) 2015-2015 Bareos GmbH & Co. KG
#
# This program is Free Software; you can redistribute it and/or
# modify it under the terms of version three of the GNU Affero General Public
# License as published by the Free Software Foundation and included
# in the file LICENSE.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA.
#
VPATH = .:../../tests

include ../Makefile.inc

INCLUDES = -I../.. \
	   -I../../include \
	   -I../include \
	   -I../compat/include \
	   -I../vss/include
LDLIBS = ../lib/libbareos.a \
	 ../lib/libbareos.dll \
         $(MINGW_LIB)/libwinpthread.a \
         $(MINGW_LIB)/libz.dll.a \
         $(MINGW_LIB)/libreadline.dll.a \
	 $(WINSOCKLIB) -lole32 -loleaut32 -luuid

GROWSRCS = grow.c
GROWOBJS = $(GROWSRCS:.c=.o)

BREGTESTSRCS = bregtest.c
BREGTESTOBJS = $(BREGTESTSRCS:.c=.o)

all: grow.exe bregtest.exe

grow.exe: DLL_USAGE = -DUSING_DLL
grow.exe: $(GROWOBJS) $(WINDRESOBJS)
	$(CXX) $(LDFLAGS_GROW) $(GROWOBJS) $(LDLIBS) -o $@

bregtest.exe: DLL_USAGE = -DUSING_DLL
bregtest.exe: $(BREGTESTOBJS) $(WINDRESOBJS)
	$(CXX) $(LDFLAGS_BREGTEST) $(BREGTESTOBJS) $(LDLIBS) -o $@

clean:
	rm -f *.o

distclean:: clean
	rm -f *.exe

# inference rules
.c.o:
	@echo "Compiling $<"
	$(CXX) $(DLL_USAGE) $(CXXFLAGS) -c -o $@ $<

%.o : %.rc
	@echo "Ressource Compiling $^"
	$(WINDRES) $^ -o $@

=== src/win32/tools/Makefile ===
#
# BAREOS® - Backup Archiving REcovery Open Sourced
#
# Copyright (C) 2014-2014 Bareos GmbH & Co. KG
#
# This program is Free Software; you can redistribute it and/or
# modify it under the terms of version three of the GNU Affero General Public
# License as published by the Free Software Foundation and included
# in the file LICENSE.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA.
#
VPATH = .:../../tools

include ../Makefile.inc

INCLUDES = -I../.. \
	   -I../../include \
	   -I../include \
	   -I../compat/include \
	   -I../vss/include
LDLIBS = ../lib/libbareos.a \
	 ../lib/libbareos.dll \
         $(MINGW_LIB)/libwinpthread.a \
         $(MINGW_LIB)/libz.dll.a \
	 $(WINSOCKLIB) -lole32 -loleaut32 -luuid

BSMTPSRCS = bsmtp.c
BSMTPOBJS = $(BSMTPSRCS:.c=.o)

BSMTPRESSRCS = bsmtpres.rc
BSMTPRESOBJS = $(BSMTPRESSRCS:.rc=.o)

BREGEXSRCS = bregex.c
BREGEXOBJS = $(BREGEXSRCS:.c=.o)

BREGEXRESSRCS = bregexres.rc
BREGEXRESOBJS = $(BREGEXRESSRCS:.rc=.o)

BWILDSRCS = bwild.c
BWILDOBJS = $(BWILDSRCS:.c=.o)

BWILDRESSRCS = bwildres.rc
BWILDRESOBJS = $(BWILDRESSRCS:.rc=.o)

all: bsmtp.exe bregex.exe bwild.exe

bsmtp.exe: DLL_USAGE = -DUSING_DLL
bsmtp.exe: $(BSMTPOBJS) $(BSMTPRESOBJS)
	$(CXX) $(LDFLAGS_CONS) $(BSMTPOBJS) $(LDLIBS) $(BSMTPRESOBJS) -o $@

bregex.exe: DLL_USAGE = -DUSING_DLL
bregex.exe: $(BREGEXOBJS) $(BREGEXRESOBJS)
	$(CXX) $(LDFLAGS_CONS) $(BREGEXOBJS) $(LDLIBS) $(BREGEXRESOBJS) -o $@

bwild.exe: DLL_USAGE = -DUSING_DLL
bwild.exe: $(BWILDOBJS) $(BWILDRESOBJS)
	$(CXX) $(LDFLAGS_CONS) $(BWILDOBJS) $(LDLIBS) $(BWILDRESOBJS) -o $@

clean:
	rm -f *.o

distclean:: clean
	rm -f bsmtp.exe bregex.exe bwild.exe

# inference rules
.c.o:
	@echo "Compiling $<"
	$(CXX) $(DLL_USAGE) $(CXXFLAGS) -c -o $@ $<

%.o : %.rc
	@echo "Ressource Compiling $^"
	$(WINDRES) $^ -o $@

=== src/win32/findlib/unittests/Makefile ===
#
# BAREOS® - Backup Archiving REcovery Open Sourced
#
# Copyright (C) 2014-2014 Bareos GmbH & Co. KG
#
# This program is Free Software; you can redistribute it and/or
# modify it under the terms of version three of the GNU Affero General Public
# License as published by the Free Software Foundation and included
# in the file LICENSE.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA.
#
VPATH = .:../../../../src/findlib/unittests/

include ../../Makefile.inc

INCLUDES = -I../../.. \
	        -I../../../include \
	        -I../../include \
           -I../../compat/include \
	        -I../../vss/include
LDLIBS = ../../lib/libbareos.a \
	      ../../lib/libbareos.dll \
	      ../../findlib/libbareosfind.dll \
         $(MINGW_LIB)/libwinpthread.a \
         $(MINGW_LIB)/libz.dll.a \
         $(MINGW_LIB)/libreadline.dll.a \
         $(MINGW_LIB)/libcmocka.dll.a
	      #$(WINSOCKLIB) -lole32 -loleaut32 -luuid


TEST_SRCS = test_findlib.c drivetype_test.c fstype_test.c
TEST_OBJS = $(TEST_SRCS:.c=.o)

#WINDRESSRCS = consoleres.rc
#WINDRESOBJS = $(WINDRESSRCS:.rc=.o)

all: test_findlib.exe

test_findlib.exe: DLL_USAGE = -DUSING_DLL
test_findlib.exe: $(TEST_OBJS) $(WINDRESOBJS)
	$(CXX) $(TEST_OBJS)  $(LDLIBS) -o $@

clean:
	rm -f *.o *.exe

distclean:: clean
	rm -f test_findlib.exe

# inference rules
.c.o:
	@echo "Compiling $<"
	$(CXX) $(DLL_USAGE) $(CXXFLAGS) -c -o $@ $<

%.o : %.rc
	@echo "Ressource Compiling $^"
	$(WINDRES) $^ -o $@

=== debian/changelog ===
bareos (16.2.6-5) unstable; urgency=high

  * Change dependency for glusterfs to libglusterfs-dev. (Closes: #919664)
  * Fix build with CephFS 2. (Closes: #915162)
  * Fix build with MariaDB 10.2 and above.
  * Change maintainer address to tracker.debian.org team.
  * Update Uploaders.
    + Add myself.
    + Add last maintainer Felix Geyer.
    + Remove Joerg Steffens (upstream) on request.

 -- Dominik George <natureshadow@debian.org>  Wed, 06 Feb 2019 15:11:55 +0100

bareos (16.2.6-4) unstable; urgency=medium

  * Work around problems with the installation order of the postgresql
    autopkgtest.

 -- Felix Geyer <fgeyer@debian.org>  Tue, 15 May 2018 17:35:57 +0200

bareos (16.2.6-3) unstable; urgency=medium

  * Remove duplicate config check call in the init script.
    - Avoids (harmless) warning when /etc/bareos/bareos-dir.conf doesn't exist.
  * Fix permissions of bareos-dir logrotate config on upgrade. (Closes: #864926)

 -- Felix Geyer <fgeyer@debian.org>  Mon, 31 Jul 2017 00:07:17 +0200

bareos (16.2.6-2) unstable; urgency=medium

  * Fix file corruption when using SHA1 signature. (Closes: #869608)
  * Add autopkgtest for SHA1 signature.

 -- Felix Geyer <fgeyer@debian.org>  Thu, 27 Jul 2017 19:50:17 +0200

bareos (16.2.6-1) unstable; urgency=medium

  * New upstream release.
  * Drop d/patches/disable-fstype-test, fixed upstream.
  * Fix mysql autopkgtest.
    -  Reinstall database in case mysql wasn't started early enough.

 -- Felix Geyer <fgeyer@debian.org>  Thu, 29 Jun 2017 23:51:24 +0200

bareos (16.2.5-2) unstable; urgency=medium

  * Upload to unstable.

 -- Felix Geyer <fgeyer@debian.org>  Sun, 18 Jun 2017 10:02:36 +0200

bareos (16.2.5-1) experimental; urgency=medium

  * Team upload to experimental.
  * New upstream release.
  * Make bareos-client only suggest bareos-traymonitor. (Closes: #854109)

 -- Felix Geyer <fgeyer@debian.org>  Thu, 20 Apr 2017 18:42:58 +0200

=== debian/control ===
Source: bareos
Section: admin
Priority: optional
Maintainer: Bareos Packaging Team <team+bareos@tracker.debian.org>
Uploaders: Felix Geyer <fgeyer@debian.org>,
 Dominik George <natureshadow@debian.org>
Build-Depends: acl-dev,
 autotools-dev,
 bc,
 chrpath,
 debhelper (>= 9),
 dh-exec (>= 0.13),
 dh-systemd,
 dpkg-dev (>= 1.13.19),
 libacl1-dev,
 libcap-dev [linux-any],
 libcephfs-dev [linux-any],
 libglusterfs-dev [linux-any],
 librados-dev [linux-any],
 libradosstriper-dev [linux-any],
 libcmocka-dev (>= 1.0.1),
 libjansson-dev,
 liblzo2-dev,
 libqt4-dev,
 libreadline-dev,
 libgnutls28-dev,
 libwrap0-dev,
 libx11-dev,
 libsqlite3-dev, default-libmysqlclient-dev | libmysqlclient-dev, libpq-dev,
 logrotate,
 lsb-release,
 mtx [!hurd-any],
 ncurses-dev,
 pkg-config,
 po-debconf (>= 0.8.2),
 python-dev,
 zlib1g-dev
# dh-systemd:
#   Debian >= 8, Ubuntu >= 15.04
# libfastlz-dev:
#   installed in OBS via dsc file,
#   not part of Debian/Ubuntu.
# librados-dev:
#   Debian >= 8, Ubuntu >= 14.04
# libradosstriper-dev:
#   Ubuntu >= 16.04
# libcephfs-dev:
#   Debian >= 8, Ubuntu >= 14.04
# glusterfs-common:
#   Debian >= 8, Ubuntu >= 15.04
Build-Conflicts: python2.2-dev, python2.3, python2.4, qt3-dev-tools
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-bareos/bareos.git/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-bareos/bareos.git/
Homepage: http://www.bareos.org/



Package:        bareos
Architecture:   any
Depends:        bareos-director (= ${binary:Version}), bareos-storage (= ${binary:Version}), bareos-client (= ${binary:Version}), ${misc:Depends}
Description: Backup Archiving Recovery Open Sourced - metapackage
 Bareos is a set of programs to manage backup, recovery and verification of
 data across a network of computers of different kinds.
 .
 It is efficient and relatively easy to use, while offering many advanced
 storage management features that make it easy to find and recover lost or
 damaged files. Due to its modular design, Bareos is scalable from small
 single computer systems to networks of hundreds of machines.
 .
 This metapackage installs the entire suite of Bareos applications: job
 scheduling, storage control, node connector, and administrative console.

Package:        bareos-bconsole
Architecture:   any
Pre-Depends:    debconf (>= 1.4.30) | debconf-2.0
Depends:        bareos-common (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts:      bacula-console
Replaces:       bacula-console
Description: Backup Archiving Recovery Open Sourced - text console
 Bareos is a set of programs to manage backup, recovery and verification of
 data across a network of computers of different kinds.
 .
 The management console allows the administrator or user to
 communicate with the Bareos Director.
 .
 This package provides the text-interface version of the console.


Package:        bareos-client
Architecture:   any
Depends:        bareos-bconsole (>= ${binary:Version}), bareos-filedaemon (>= ${binary:Version}), ${misc:Depends}
Suggests:       bareos-traymonitor
Description: Backup Archiving Recovery Open Sourced - client metapackage
 Bareos is a set of programs to manage backup, recovery and verification of
 data across a network of computers of different kinds.
 .
 The package is a metapackage for client installations (file daemon and
 console).


Package:        bareos-common
Architecture:   any
Pre-Depends:    debconf (>= 1.4.30) | debconf-2.0, adduser
Depends:        openssl, ${shlibs:Depends}, ${misc:Depends}
Conflicts:      bacula-director-common, bacula-common
Description: Backup Archiving Recovery Open Sourced - common files
 Bareos is a set of programs to manage backup, recovery and verification of
 data across a network of computers of different kinds.
 .
 This package provides files that are useful for other Bareos packages.


Package:        bareos-database-common
Architecture:   any
Pre-Depends:    debconf (>= 1.4.30) | debconf-2.0
Depends:        bareos-common (= ${binary:Version}), bareos-database-postgresql (= ${binary:Version}) | bareos-database-mysql (= ${binary:Version}) | bareos-database-sqlite3 (= ${binary:Version}), dbconfig-common, lsb-base (>= 3.2-13), ${shlibs:Depends}, ${misc:Depends}
Description: Backup Archiving Recovery Open Sourced - common catalog files
 Bareos is a set of programs to manage backup, recovery and verification of
 data across a network of computers of different kinds.
 .
 This package provides generic abstraction libs and files to connect the Bareos
 Director daemon to a database.


Package:        bareos-database-postgresql
Architecture:   any
Pre-Depends:    debconf (>= 1.4.30) | debconf-2.0
Depends:        lsb-base (>= 3.2-13), postgresql-client, ${shlibs:Depends}, ${misc:Depends}
Suggests:       postgresql
Description: Backup Archiving Recovery Open Sourced - PostgreSQL backend
 Bareos is a set of programs to manage backup, recovery and verification of
 data across a network of computers of different kinds.
 .
 This package provides the functionality to connect the Bareos Director
 daemon to a PostgreSQL database.


Package:        bareos-database-mysql
Architecture:   any
Pre-Depends:    debconf (>= 1.4.30) | debconf-2.0
Depends:        lsb-base (>= 3.2-13), ${shlibs:Depends}, ${misc:Depends}
Suggests:       default-mysql-server | virtual-mysql-server
Description: Backup Archiving Recovery Open Sourced - MySQL backend
 Bareos is a set of programs to manage backup, recovery and verification of
 data across a network of computers of different kinds.
 .
 This package provides the functionality to connect the Bareos Director
 daemon to a MySQL compatible database.


Package:        bareos-database-sqlite3
Architecture:   any
Pre-Depends:    debconf (>= 1.4.30) | debconf-2.0
Depends:        sqlite3, lsb-base (>= 3.2-13), ${shlibs:Depends}, ${misc:Depends}
Description: Backup Archiving Recovery Open Sourced - SQLite backend
 Bareos is a set of programs to manage backup, recovery and verification of
 data across a network of computers of different kinds.
 .
 This package provides the functionality to connect the Bareos Director
 daemon to a SQLite database.


Package:        bareos-database-tools
Architecture:   any
Pre-Depends:    debconf (>= 1.4.30) | debconf-2.0
Depends:        bareos-common (= ${binary:Version}), bareos-database-common (= ${binary:Version}), lsb-base (>= 3.2-13), ${shlibs:Depends}, ${misc:Depends}
Conflicts:      bacula-sd-mysql, bacula-sd-pgsql, bacula-sd-sqlite3
Description: Backup Archiving Recovery Open Sourced - database tools
 Bareos is a set of programs to manage backup, recovery and verification of
 data across a network of computers of different kinds.
 .
 This package provides tools that requires access to the Bareos database.


Package: bareos-dbg
Architecture: any
Section: debug
Priority: extra
Depends:
    bareos-storage (= ${binary:Version}) | bareos-bconsole (= ${binary:Version}) | bareos-common (= ${binary:Version}) | bareos-database-common (= ${binary:Version}) | bareos-database-mysql (= ${binary:Version}) | bareos-database-postgresql (= ${binary:Version}) | bareos-database-sqlite3 (= ${binary:Version}) | bareos-database-tools (= ${binary:Version}) | bareos-director (= ${binary:Version}) | bareos-filedaemon (= ${binary:Version}) | bareos-storage (= ${binary:Version}) | bareos-storage-tape (= ${binary:Version}) | bareos-storage-fifo (= ${binary:Version}) | bareos-tools (= ${binary:Version}),
    ${misc:Depends}
Conflicts: bacula-sd-dbg, bacula-sd-mysql-dbg, bacula-sd-pgsql-dbg, bacula-sd-sqlite3-dbg
Description: Backup Archiving Recovery Open Sourced - debugging symbols
 Bareos is a set of programs to manage backup, recovery and verification of
 data across a network of computers of different kinds.
 .
 This package provides debugging symbols for Bareos.


Package:        bareos-devel
Architecture:   any
Pre-Depends:    debconf (>= 1.4.30) | debconf-2.0
Depends:        ${shlibs:Depends}, ${misc:Depends}
Description: Backup Archiving Recovery Open Sourced - development files
 Bareos is a set of programs to manage backup, recovery and verification of
 data across a network of computers of different kinds.
 .
 This package provides additional files for develop against Bareos.


Package:        bareos-director
Architecture:   any
Pre-Depends:    debconf (>= 1.4.30) | debconf-2.0, adduser
Depends:        bareos-common (= ${binary:Version}), bareos-database-common (= ${binary:Version}), bareos-database-tools, lsb-base (>= 3.2-13), lsof, bsd-mailx | mailx, ${shlibs:Depends}, ${misc:Depends}
Recommends:     logrotate
Conflicts:      bacula-director
Replaces:       bacula-director
Description: Backup Archiving Recovery Open Sourced - director daemon
 Bareos is a set of programs to manage backup, recovery and verification of
 data across a network of computers of different kinds.
 .
 The Bareos Director service supervises all the backup, restore, verify and
 archive operations. It can run as a daemon or as a foreground service which
 administrators can use to schedule backups and recover files.
 .
 This package contains the Bareos Director daemon.


Package:        bareos-filedaemon
Architecture:   any
Pre-Depends:    debconf (>= 1.4.30) | debconf-2.0, adduser
Depends:        bareos-common (= ${binary:Version}), lsb-base (>= 3.2-13), lsof, ${shlibs:Depends}, ${misc:Depends}
Conflicts:      bacula-fd
Replaces:       bacula-fd
Description: Backup Archiving Recovery Open Sourced - file daemon
 Bareos is a set of programs to manage backup, recovery and verification of
 data across a network of computers of different kinds.
 .
 The file daemon has to be installed on the machine to be backed up. It is
 responsible for providing the file attributes and data when requested by
 the Director, and also for the file system-dependent part of restoration.
 .
 This package contains the Bareos File daemon.


Package:        bareos-storage
Architecture:   any
Pre-Depends:    debconf (>= 1.4.30) | debconf-2.0, adduser
Depends:        bareos-common (= ${binary:Version}), lsb-base (>= 3.2-13), lsof, ${shlibs:Depends}, ${misc:Depends}
Conflicts:      bacula-sd
Replaces:       bacula-sd
Breaks:         bareos-storage-tape (<< 14.2.6~)
Description: Backup Archiving Recovery Open Sourced - storage daemon
 Bareos is a set of programs to manage backup, recovery and verification of
 data across a network of computers of different kinds.
 .
 The storage daemon performs the storage and recovery of the file
 attributes and data to the physical media; in other words, it is
 responsible for reading and writing the backups.
 .
 It runs on the machine which has access to the backup device(s) - usually
 a tape drive, but alternatively other storage media, such as files.


Package:        bareos-storage-fifo
Architecture:   any
Pre-Depends:    debconf (>= 1.4.30) | debconf-2.0
Depends:        bareos-common (= ${binary:Version}), bareos-storage (= ${binary:Version}), lsb-base (>= 3.2-13), ${shlibs:Depends}, ${misc:Depends}
Description: Backup Archiving Recovery Open Sourced - storage daemon FIFO backend
 Bareos is a set of programs to manage backup, recovery and verification of
 data across a network of computers of different kinds.
 .
 This package contains the Storage backend for FIFO files.
 This package is only required, when a resource "Archive Device = fifo"
 should be used by the Bareos Storage Daemon.


Package:        bareos-storage-tape
Architecture:   any
Pre-Depends:    debconf (>= 1.4.30) | debconf-2.0, adduser
Depends:        bareos-common (= ${binary:Version}), bareos-storage (= ${binary:Version}), lsb-base (>= 3.2-13), mtx, ${shlibs:Depends}, ${misc:Depends}
Recommends:     mt-st
Suggests:       scsitools, sg3-utils
Breaks:         bareos-storage (<< 14.2.6~)
Replaces:       bareos-storage (<< 14.2.6~)
Description: Backup Archiving Recovery Open Sourced - storage daemon tape support
 Bareos is a set of programs to manage backup, recovery and verification of

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
# DH_VERBOSE = 1

# This has to be exported to make some magic below work.
# DH_OPTIONS = -v

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

DAEMON_USER = bareos
DAEMON_GROUP = bareos
DIRECTOR_DAEMON_USER = $(DAEMON_USER)
STORAGE_DAEMON_USER = $(DAEMON_USER)
FILE_DAEMON_USER = root
STORAGE_DAEMON_GROUP = $(DAEMON_GROUP)

define CONFIGURE_COMMON
  --with-sbin-perm=755 \
  --libdir=/usr/lib/bareos \
  --sysconfdir=/etc \
  --with-confdir=/etc/bareos \
  --with-archivedir=/var/lib/bareos/storage \
  --with-backenddir=/usr/lib/bareos/backends \
  --with-configtemplatedir=/usr/lib/bareos/defaultconfigs \
  --with-scriptdir=/usr/lib/bareos/scripts \
  --with-plugindir=/usr/lib/bareos/plugins \
  --with-working-dir=/var/lib/bareos \
  --with-pid-dir=/var/lib/bareos \
  --with-bsrdir=/var/lib/bareos \
  --with-logdir=/var/log/bareos \
  --with-subsys-dir=/var/lock \
  --enable-smartalloc \
  --disable-conio \
  --enable-readline \
  --enable-batch-insert \
  --enable-dynamic-cats-backends \
  --enable-dynamic-storage-backends \
  --enable-acl \
  --enable-xattr \
  --enable-scsi-crypto \
  --enable-lmdb \
  --enable-ndmp \
  --enable-ipv6 \
  --with-postgresql \
  --with-mysql \
  --with-sqlite3 \
  --with-tcp-wrappers \
  --without-openssl \
  --with-gnutls \
  --with-dir-user=$(DIRECTOR_DAEMON_USER) \
  --with-dir-group=$(DAEMON_GROUP) \
  --with-sd-user=$(STORAGE_DAEMON_USER) \
  --with-sd-group=$(STORAGE_DAEMON_GROUP) \
  --with-fd-user=$(FILE_DAEMON_USER) \
  --with-fd-group=$(DAEMON_GROUP) \
  --with-dir-password="XXX_REPLACE_WITH_DIRECTOR_PASSWORD_XXX" \
  --with-fd-password="XXX_REPLACE_WITH_CLIENT_PASSWORD_XXX" \
  --with-sd-password="XXX_REPLACE_WITH_STORAGE_PASSWORD_XXX" \
  --with-mon-dir-password="XXX_REPLACE_WITH_DIRECTOR_MONITOR_PASSWORD_XXX" \
  --with-mon-fd-password="XXX_REPLACE_WITH_CLIENT_MONITOR_PASSWORD_XXX" \
  --with-mon-sd-password="XXX_REPLACE_WITH_STORAGE_MONITOR_PASSWORD_XXX" \
  --with-basename="XXX_REPLACE_WITH_LOCAL_HOSTNAME_XXX" \
  --with-hostname="XXX_REPLACE_WITH_LOCAL_HOSTNAME_XXX" \
  --enable-includes \
  --disable-rpath
endef

#  --docdir="\$(_docdir)/bareos" \
#  --htmldir="\$(_docdir)/bareos/html" \

ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
CONFIGURE_COMMON       += --disable-acl --disable-xattr --disable-scsi-crypto --disable-ndmp
endif
ifeq ($(DEB_HOST_ARCH_OS),hurd)
CONFIGURE_COMMON       += --disable-scsi-crypto --disable-ndmp
endif

CONFIGURE_CLIENT_ONLY = $(CONFIGURE_COMMON) --enable-client-only
CONFIGURE_FULL        = $(CONFIGURE_COMMON) --with-python --enable-bat --enable-traymonitor

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_FULL)

override_dh_fixperms:
	# all files in /etc/bareos
	dh_fixperms \
		--exclude etc/bareos/ \
		--exclude var/lib/bareos/ \
		--exclude var/log/bareos/

override_dh_strip:
	dh_strip --dbg-package=bareos-dbg

override_dh_install:
	chrpath -d $(CURDIR)/debian/tmp/usr/lib/bareos/backends/libbareoscats-mysql* \
		$(CURDIR)/debian/tmp/usr/lib/bareos/backends/libbareoscats-postgresql* \
		$(CURDIR)/debian/tmp/usr/lib/bareos/backends/libbareoscats-sqlite3*
	dh_install

override_dh_installinit:
	dh_installinit --package=bareos-director   --name=bareos-dir --no-start
	dh_installinit --package=bareos-storage    --name=bareos-sd  --no-start
	dh_installinit --package=bareos-filedaemon --name=bareos-fd

override_dh_makeshlibs:
	dh_makeshlibs -n -Xusr/lib/bareos/plugins/ -Xusr/lib/bareos/backends/

%:
	dh $@ --max-parallel=4 --with systemd

gen-debian-copyright:
	(cd debian; make copyright)

=== debian/tests/control ===
Tests: postgresql-all
Restrictions: breaks-testbed needs-root allow-stderr
Depends: postgresql, bareos-database-postgresql, bareos

Tests: mysql-all
Restrictions: breaks-testbed needs-root allow-stderr
Depends: default-mysql-server | virtual-mysql-server, bareos-database-mysql, bareos

Test-Command: test/all
Restrictions: breaks-testbed needs-root allow-stderr
Depends: bareos-database-sqlite3, bareos

Tests: tls tls-passive sha1
Restrictions: breaks-testbed needs-root allow-stderr
Depends: bareos-database-sqlite3, bareos

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/bareos-$1\.tar\.gz/ \
 https://github.com/bareos/bareos/releases .*/v?(\d\S*)\.tar\.gz
